Update a product in the selected organization
PATCH
/v1/organizations/{organizationId}/products/{productId}
API key scope: products:write.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”productId
required
string
Header Parameters
Section titled “Header Parameters”X-Request-Id
string
Optional client request id returned in structured errors.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
Example
Black T-Shirt - Mediumsku
string
Example
TSHIRT-BLACK-Mbarcode
object
Example
7891234567890baseUnitCode
string
Example
EAstatus
string
Example
activemetadata
object
Example
{ "color": "black", "size": "M"}Responses
Section titled “Responses”Product updated.
Media typeapplication/json
object
id
required
string format: uuid
organizationId
required
string format: uuid
environment
required
string
name
required
string
sku
required
string
barcode
object
baseUnitCode
required
string
status
required
string
metadata
object
key
additional properties
any
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "id": "22222222-2222-4222-8222-222222222222", "organizationId": "11111111-1111-4111-8111-111111111111", "environment": "test", "name": "Black T-Shirt - Medium", "sku": "TSHIRT-BLACK-M", "barcode": "7891234567890", "baseUnitCode": "EA", "status": "active", "metadata": { "color": "black", "size": "M" }, "createdAt": "2026-06-29T10:00:00.000Z", "updatedAt": "2026-06-29T10:00:00.000Z"}The organization has exhausted its monthly public API request quota.
The organization plan does not allow the requested action.
Media typeapplication/json
Example
{ "error": { "code": "PLAN_LIMIT_EXCEEDED", "message": "Plan limit exceeded for active_products", "requestId": "req_123", "details": { "entitlementKey": "active_products", "scope": "environment", "environment": "live", "configured": true, "limit": "100", "used": "100", "requested": "1", "currentPlan": { "code": "free", "version": 1 }, "requiredPlan": { "code": "starter", "version": 1, "requiresOverride": false } } }}